Sisimai::RFC5322(3pm)

NAME
Sisimai::RFC5322 - Email address related utilities

SYNOPSIS
    use Sisimai::RFC5322;

DESCRIPTION
"Sisimai::RFC5322" provide methods for checking an email address.

CLASS METHODS

  "received(String)"
received() method returns an array reference including elements in the "Received:" header.

    my $v = 'from mx.example.org (c1.example.org [192.0.2.1]) by neko.libsisimai.org
             with ESMTP id neko20180202nyaan for <michitsuna@nyaan.jp>; ...';
    my $r = Sisimai::RFC5322->received($v);

    warn Dumper $r;
    $VAR1 = [
          'mx.example.org',
          'neko.libsisimai.org',
          '',
          'ESMTP',
          'neko20180202nyaan',
          'michitsuna@nyaan.jp'
        ];

  "part(String, Array)"
part() method returns an array reference which include error message lines of given message body and the original message part splitted by the 2nd argument.

    my $v = 'Error message here
    Content-Type: message/rfc822
    Return-Path: <neko@libsisimai.org>';
    my $r = Sisimai::RFC5322->part(\$v, ['Content-Type: message/rfc822']);

    warn Dumper $r;
    $VAR1 = [
        'Error message here',
        'Return-Path: <neko@libsisimai.org>';
    ];

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.